Bug 62649

Summary: Remove OPOIFS*
Product: POI Reporter: Andreas Beeker <kiwiwings>
Component: POIFSAssignee: POI Developers List <dev>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P2    
Version: 4.0.x-dev   
Target Milestone: ---   
Hardware: All   
OS: All   

Description Andreas Beeker 2018-08-23 00:04:01 UTC
NPOIFS has been now the default filesystem for a while. Its time to get rid of the OPOIFS* classes.

I'll do this change in two phases:
- remove all references to OPOIFS* and adapt the tests where necessary
- optional/to be discussed: rename all NPOIFS* classes to POIFS*, remove old delegates
Comment 1 Andreas Beeker 2018-08-26 12:34:24 UTC
OPOIFS* references removed via r1839201

On testing and refactoring CopyCompare/EntryUtils, I've noticed a problem with the UTF8 encoding of HPSF properties ... this kept me busy, but now it's fixed

I keep this open, for discussions of the second part ...
Comment 2 Andreas Beeker 2018-08-31 00:33:19 UTC
renamed NPOIFS* to POIFS* via r1839709

keeping it open in case of further findings ...
Comment 3 Dominik Stadler 2018-12-22 17:32:16 UTC
This is fixed now and no more changes seem to be required, thus resolving.